com.rs.xbrl.instructions.formula

## Class PeriodAspectOrFilterInDurationIsBase

- java.lang.Object
- - com.rs.xbrl.instructions.formula.PeriodAspectOrFilterInDurationIsBase

- All Implemented Interfaces:
    AspectOrFilter

      public class PeriodAspectOrFilterInDurationIsBase
      extends java.lang.Object
      implements AspectOrFilter

  The Class PeriodAspectOrFilterInDurationIsBase.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodAspectOrFilterInDurationIsBase(java.lang.String aspect)` Instantiates a new period aspect or filter in duration is base.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLFragment` | `getAspectFragment(DTSContainer dts)` Generates an XMLFragment that can be used as one additional aspect on a formula.
    `XBRLResource` | `getFilterFragment(GenerationContext gc)` Generated an XMLFragment that can be used as one additional filter on a formula.
    `java.lang.String` | `toString()` Force implementation of toString(), this shall return the source aspect.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodAspectOrFilterInDurationIsBase

          public PeriodAspectOrFilterInDurationIsBase(java.lang.String aspect)

      Instantiates a new period aspect or filter in duration is base.
      Parameters:
        `aspect` - the aspect

  - ### Method Detail

    - #### getAspectFragment

          public XMLFragment getAspectFragment(DTSContainer dts)

      Description copied from interface: `AspectOrFilter`
      Generates an XMLFragment that can be used as one additional aspect on a formula.
      Specified by:
        `getAspectFragment` in interface `AspectOrFilter`
      Parameters:
        `dts` - the dts
      Returns:
        XMLFragment or null if cannot be generated

    - #### getFilterFragment

          public XBRLResource getFilterFragment(GenerationContext gc)

      Description copied from interface: `AspectOrFilter`
      Generated an XMLFragment that can be used as one additional filter on a formula.
      Specified by:
        `getFilterFragment` in interface `AspectOrFilter`
      Parameters:
        `gc` - the gc
      Returns:
        XMLFragment or null if cannot be generated

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `AspectOrFilter`
      Force implementation of toString(), this shall return the source aspect.
      Specified by:
        `toString` in interface `AspectOrFilter`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string